class Star < Formula
  desc "Standard tap archiver"
  homepage "https://codeberg.org/schilytools/schilytools"
  url "https://codeberg.org/schilytools/schilytools/archive/2024-03-21.tar.gz"
  sha256 "4d66bf35a5bc2927248fac82266b56514fde07c1acda66f25b9c42ccff560a02"
  license "CDDL-1.0"

  depends_on "smake" => :build

  def install
    deps = %w[libdeflt librmt libfind libschily]
    deps.each { |dep| system "smake", "-C", dep }

    system "smake", "-C", "star", "INS_BASE=#{prefix}", "INS_RBASE=#{prefix}", "install"

    # Remove symlinks that override built-in utilities
    (bin/"gnutar").unlink
    (bin/"tar").unlink
    (man1/"gnutar.1").unlink
  end

  test do
    system "#{bin}/star", "--version"

    (testpath/"test").write("Hello Homebrew!")
    system bin/"star", "-c", "-z", "-v", "file=test.tar.gz", "test"
    rm "test"
    system bin/"star", "-x", "-z", "file=test.tar.gz"
    assert_equal "Hello Homebrew!", (testpath/"test").read
  end
end
